[]
        
(Showing Draft Content)

React

You can perform the following steps to add the SpreadJS Designer Component in a React application:

  1. Create a React project by typing the following commands in Command Prompt.

    npm install -g create-react-app
    create-react-app designercomponent
    cd designercomponent
    npm start
  2. Install the following SpreadJS React modules to use SpreadJS Designer Component.

    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-tablesheet
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-designer-resources-en
    npm install @grapecity/spread-sheets-react
    npm install @grapecity/spread-sheets-designer-react
  3. Import the required modules using the following code snippet in App.js.

    import '@grapecity/spread-sheets-designer-resources-en';
    import {Designer} from '@grapecity/spread-sheets-designer-react';
    import '@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css'
    import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css'
  4. Render the Designer Component using the following code snippet in App.js.

    function App() {
       return (
          <Designer styleInfo = {{width: "1500px", height: '90vh'}}></Designer>
       );
    }
    export default App;
  5. Run the application.

    npm start

Access SpreadJS instance

You can also access the SpreadJS instance by using designerInitialized event. Follow steps 1, 2, and 3 as listed above and continue:

  1. To render the Designer Component and access the SpreadJS instance, you can use the following code snippet.

    function App() {
        return (
            <Designer designerInitialized={designer => { getDesigner(designer) }}
            styleInfo={{ width: "100%", height: '98vh' }}></Designer >
        );
    }
    // Function to get designer
    function getDesigner(designer) {
        //this is hosted spread instance
        var workbook = designer.getWorkbook();
        var sheet = workbook.getActiveSheet(); sheet.setValue(1, 1, 'Test');
    }

Apply License

The licensed version allows you to use all features of the SpreadJS Designer Component. You need to set the license key for SpreadJS, ExcelIO, and the Designer Component which can be done by using the following code snippet.

import React from 'react';
import '@grapecity/spread-sheets-designer-resources-en';
import * as GC from '@grapecity/spread-sheets';
import '@grapecity/spread-sheets-designer';
import {Designer} from '@grapecity/spread-sheets-designer-react';
import * as ExcelIO from "@grapecity/spread-excelio";
 
var sjsLicense = "sjs-distribution-key";
GC.Spread.Sheets.LicenseKey = sjsLicense;
ExcelIO.LicenseKey = sjsLicense;
 
GC.Spread.Sheets.Designer.LicenseKey = " designer-component-distribution-key ";

[]
        
(Showing Draft Content)

Vue

You can perform the following steps to add the SpreadJS Designer Component to a Vue application:

Vue 3

  1. Create a Vue project by typing the following command in Command Prompt.

    npm init vue@latest

    The command will present prompts for the project name and other optional features that can be added to the Vue project.

  2. Import the following SpreadJS and SpreadJS Designer Vue modules in the project.

    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-designer-resources-en
    npm install @grapecity/spread-sheets-designer-vue
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-tablesheet
  3. Register SpreadJS Designer Vue Component to the application in the main.js file.

    import { createApp } from 'vue'
    import App from './App.vue'
    import Designer from "@grapecity/spread-sheets-designer-vue"
    let app = createApp(App);
    app.component("gc-spread-sheets-designer", Designer);
    app.mount('#app');
  4. Add the SpreadJS Designer Vue Component to the application by modifying the App.vue file.

    <script setup>
    import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css';
    import "@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css";
    import * as GC from "@grapecity/spread-sheets";
    import "@grapecity/spread-sheets-print";
    import "@grapecity/spread-sheets-shapes";
    import "@grapecity/spread-sheets-pivot-addon";
    import "@grapecity/spread-sheets-tablesheet";
    import "@grapecity/spread-sheets-designer-resources-en";
    import "@grapecity/spread-sheets-designer";
    </script>
    <script>
    export default {
      name: "App",
      data: function () {
        return {
          styleInfo: { height: "98vh", width: "100%" },
          config: config,
          spreadOptions: {
            sheetCount: 2,
          },
          designer: null,
        };
      },
      methods: {
        designerInitialized(value) {
          this.designer = value;
        },
      },
    };
    </script>
    <template>
      <div id="gc-designer-container">
        <gc-spread-sheets-designer
          :styleInfo="styleInfo"
          :config="config"
          :spreadOptions="spreadOptions"
          @designerInitialized="designerInitialized"/>
      </div>
    </template>
    <style>
    </style>
  5. Run the application.

    npm run dev

Vue 2

  1. Create a Vue project by typing the following commands in Command Prompt.

    npm install -g @vue/cli
    npm i -g @vue/cli-init
    vue init webpack designercomponent
    cd designercomponent
    npm run dev
  2. Import the following SpreadJS Vue modules in the project.

    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-tablesheet
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-designer-resources-en
    npm install @grapecity/spread-sheets-vue
    npm install @grapecity/spread-sheets-designer-vue
  3. Import the required modules and add the designer tag into the template using the following code snippet in App.vue.

    <!--Add designer tag into the template-->
    <template>
      <div id="app">
        <gc-spread-sheets-designer :styleInfo='styleInfo'
                                   :config='config'
                                   @designerInitialized="designerInitialized">
        </gc-spread-sheets-designer>
      </div>
    </template>
    <script>
    // import the required modules
    import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css'
    import '@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css'
    import '@grapecity/spread-sheets-designer-resources-en'
    import '@grapecity/spread-sheets-designer-vue'
    export default {
      name: 'App',
      data: function () {
        return {
          styleInfo: { height: '800px', width: '1200px', border: 'solid black 1px' },
          config: null,
          designer: null
        }
      },
      methods: {
        designerInitialized (value) {
          this.designer = value
        }
      }
    }
    </script>
  4. Run the application.

    npm run dev

Apply License

The licensed version allows you to use all features of the SpreadJS Designer Component. You need to set the license key for SpreadJS, ExcelIO, and the Designer Component which can be done by using the following code snippet.

import '@grapecity/spread-sheets-designer-resources-en'
import { Designer } from '@grapecity/spread-sheets-designer-vue'
import * as GC from '@grapecity/spread-sheets'
import * as ExcelIO from '@grapecity/spread-excelio'
// license keys
var sjsLicense = 'sjs-distribution-key'
GC.Spread.Sheets.LicenseKey = sjsLicense
ExcelIO.LicenseKey = sjsLicense
GC.Spread.Sheets.Designer.LicenseKey = 'designer-component-distribution-key'

[]
        
(Showing Draft Content)

Angular

You can perform the following steps to add the SpreadJS Designer Component to an Angular application:

  1. Create an Angular project by typing the following commands in Command Prompt.

    npm install -g @angular/cli
    ng new designercomponent
    cd designercomponent
    npm start
  2. Import the following SpreadJS modules in the project to use SpreadJS Designer Component.

    npm install @grapecity/spread-excelio
    npm install @grapecity/spread-sheets
    npm install @grapecity/spread-sheets-barcode
    npm install @grapecity/spread-sheets-charts
    npm install @grapecity/spread-sheets-languagepackages
    npm install @grapecity/spread-sheets-pdf
    npm install @grapecity/spread-sheets-print
    npm install @grapecity/spread-sheets-shapes
    npm install @grapecity/spread-sheets-tablesheet
    npm install @grapecity/spread-sheets-pivot-addon
    npm install @grapecity/spread-sheets-designer
    npm install @grapecity/spread-sheets-designer-resources-en
    npm install @grapecity/spread-sheets-angular
    npm install @grapecity/spread-sheets-designer-angular
  3. Import the designer and resources module in the app.module.ts file using the following code snippet.

    import { BrowserModule } from '@angular/platform-browser';
    import { NgModule } from '@angular/core';
    import { AppComponent } from './app.component';
    import '@grapecity/spread-sheets-designer-resources-en';
    import { DesignerModule } from '@grapecity/spread-sheets-designer-angular';
    @NgModule({
        declarations: [
           AppComponent
        ],
        imports: [
           BrowserModule,
           DesignerModule
        ],
        providers: [],
        bootstrap: [AppComponent]
    })
    export class AppModule { }
  4. Import CSS file in app.component.css file using the following code snippet.

    @import '@grapecity/spread-sheets-designer/styles/gc.spread.sheets.designer.min.css';
    @import '@grapecity/spread-sheets/styles/gc.spread.sheets.excel2013white.css';
  5. Add designer tag in the app.component.html file using the following code snippet.

    <designer [props]="props"></designer>
  6. To configure the designer, you may pass the props parameters as shown below in the app.component.ts file.

    import { Component, ViewEncapsulation } from '@angular/core';
    import * as GC from '@grapecity/spread-sheets';
    import '@grapecity/spread-sheets-designer-resources-en';
    import * as GcDesigner from '@grapecity/spread-sheets-designer';
    @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css'],
        encapsulation: ViewEncapsulation.None
    })
    export class AppComponent {
        designer: any;
        spread: any;
        props = {
           styleInfo: 'width: 100%; height: 900px',
        };
    }
  7. Save and run the application.

    npm start

Access SpreadJS instance

You can also access the SpreadJS instance by using designerInitialized event. Follow steps 1 to 4 as listed above and continue:

  1. Add an event listener to the designer initialized event in the app.component.html file using the following code snippet.

    <designer (designerInitialized)="afterDesignerInit($event)" [props]="props"></designer>
  2. Update the app.component.ts file using the following code snippet.

    export class AppComponent {
        props = {
           styleInfo: "width: 100%; height: 900px",
           config: null
        }
        afterDesignerInit(e: any) {
           //this is hosted spread instance
           var workbook = e.designer.getWorkbook();
           var sheet = workbook.getActiveSheet();
           sheet.setValue(1, 1, 'Test');
        }
    }
  3. Save and run the application.

    npm start

Apply License

The licensed version allows you to use all the features of the SpreadJS Designer Component. You need to set the license key for SpreadJS, ExcelIO, and the Designer Component which can be done by using the following code snippet.

import '@grapecity/spread-sheets-designer-resources-en';
import * as GC from '@grapecity/spread-sheets';
import '@grapecity/spread-sheets-designer';
import * as ExcelIO from '@grapecity/spread-excelio';
 
var sjsLicense = "sjs-distribution-key";
GC.Spread.Sheets.LicenseKey = sjsLicense;
(ExcelIO as any).LicenseKey = sjsLicense;
 
(GC.Spread.Sheets as any).Designer.LicenseKey = "designer-component-distribution-key";